create-react-app 支持IE(IE11/IE10/IE9)

create-react-app创建项目之后无法在IE上正常访问

 

 

修改代码支持IE11 (github地址:添加代码支持IE11)

修改package.json,index.js,然后删除node_modules,重新安装


修改代码支持IE10/IE9 (github地址:添加代码支持IE10/IE9)

上一步骤之后,IE10/IE9存在下面问题

(1)安装 core-js mutation-observer

npm install core-js mutation-observer --save

(2)index.js引入

(3)webpack.config.js修改,调换位置


修复遗留问题setprototypeof(github地址:修复兼容IE10/IE9遗留问题
 

(1)安装setprototypeof

npm install setprototypeof --save

(2)手动添加polyfill.js

import setprototypeof from  'setprototypeof';

Object.setPrototypeOf = setprototypeof; 

(3)index.js引入polyfill.js文件



验证完成
 

 

资源链接:

https://github.com/facebook/create-react-app/issues/5674
https://github.com/facebook/create-react-app/issues/5336
https://github.com/facebook/create-react-app/tree/master/packages/react-app-polyfill
https://github.com/wesleytodd/setprototypeof

相关推荐
©️2020 CSDN 皮肤主题: 编程工作室 设计师:CSDN官方博客 返回首页